<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>lib.fit package &mdash; RDstar_light  documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="_static/doctools.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="lib.handle package" href="lib.handle.html" />
    <link rel="prev" title="lib package" href="lib.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> RDstar_light
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="lib.html">lib package</a><ul class="current">
<li class="toctree-l2 current"><a class="current reference internal" href="#">lib.fit package</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#module-lib.fit.params">lib.fit.params module</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="lib.handle.html">lib.handle package</a></li>
<li class="toctree-l2"><a class="reference internal" href="lib.inout.html">lib.inout package</a></li>
<li class="toctree-l2"><a class="reference internal" href="lib.plot.html">lib.plot package</a></li>
<li class="toctree-l2"><a class="reference internal" href="lib.html#module-lib.assertion">lib.assertion module</a></li>
<li class="toctree-l2"><a class="reference internal" href="lib.html#module-lib.config">lib.config module</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="scripts.html">scripts.multiple_candidates package</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">RDstar_light</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a> &raquo;</li>
          <li><a href="lib.html">lib package</a> &raquo;</li>
      <li>lib.fit package</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/lib.fit.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <div class="section" id="module-lib.fit">
<span id="lib-fit-package"></span><h1>lib.fit package<a class="headerlink" href="#module-lib.fit" title="Permalink to this heading"></a></h1>
<p>Package to handle fits and their results.</p>
<div class="section" id="module-lib.fit.params">
<span id="lib-fit-params-module"></span><h2>lib.fit.params module<a class="headerlink" href="#module-lib.fit.params" title="Permalink to this heading"></a></h2>
<p>Module that contains tools to handle the fitted or constant parameters
of a fit.</p>
<dl class="py function">
<dt class="sig sig-object py" id="lib.fit.params.params_into_dict">
<span class="sig-prename descclassname"><span class="pre">lib.fit.params.</span></span><span class="sig-name descname"><span class="pre">params_into_dict</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">result_params</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">with_err</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">True</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">method</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">'zfit'</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/lib/fit/params.html#params_into_dict"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#lib.fit.params.params_into_dict" title="Permalink to this definition"></a></dt>
<dd><p>Turn a object that contains the fitted parameters (obtained from
zFit or rooFit) into a dictionnary, easier to handle.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>result_params</strong> – Results of the fit, obtained using zFit or RooFit.</p></li>
<li><p><strong>with_err</strong> (<code class="xref py py-class docutils literal notranslate"><span class="pre">bool</span></code>) – wether the uncertainty on the variables are retrieved.</p></li>
<li><p><strong>method</strong> (<code class="xref py py-class docutils literal notranslate"><span class="pre">str</span></code>) – <code class="docutils literal notranslate"><span class="pre">zfit</span></code> or <code class="docutils literal notranslate"><span class="pre">root</span></code></p></li>
</ul>
</dd>
<dt class="field-even">Return type</dt>
<dd class="field-even"><p><code class="xref py py-class docutils literal notranslate"><span class="pre">dict</span></code></p>
</dd>
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>dictionnary of the result of the fit. Associates the name of
a parameter with either a dictionnary that contains its value
(key: <code class="docutils literal notranslate"><span class="pre">val</span></code>) and its error(key: <code class="docutils literal notranslate"><span class="pre">err</span></code>) if <code class="docutils literal notranslate"><span class="pre">with_err</span></code>,
just the value otherwise.</p>
</dd>
</dl>
</dd></dl>

</div>
</div>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="lib.html" class="btn btn-neutral float-left" title="lib package" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="lib.handle.html" class="btn btn-neutral float-right" title="lib.handle package" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright .</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>